<mat-card class="housing-main">
  <mat-card-content>
    <span *ngIf="parentPageID === 1" class='required-label-color'>Please Note: Housing/Homeless History information is
      an important
      component in the applicant's eligibility, referral and placement.</span><br>
    <span *ngIf="parentPageID === 1">Provide Housing History for the last four years including the applicant's current
      housing
      location. Please include all episodes of homelessness (if applicable) and attach supporting
      documentation for each episode of homelessness when prompted. Also, see <a
        href="./assets/documents/HUD_Chronic_Reference_Sheet.pdf" target="_blank">reference sheet</a>
      for definition of HUD chronically homeless and examples of appropriate supporting documentation
      for this application. For training on the Housing/Homeless page click the Tutorial Help
      icon.</span>
    <mat-card [class.mat-elevation-z0]="true" class="housing-chart">
      <mat-card-content>
        <table id="tblChart" class="chart-table">
          <caption style="background-color: #5c6bc0; color: white">Housing History as of
            {{housingData.applicationDate}}
          </caption>
          <thead>
            <tr>
              <th class="chart-year BottomBorder">Year</th>
              <th colspan="2" class="chart-month RightBorder">Jan</th>
              <th colspan="2" class="chart-month RightBorder">Feb</th>
              <th colspan="2" class="chart-month RightBorder">Mar</th>
              <th colspan="2" class="chart-month RightBorder">Apr</th>
              <th colspan="2" class="chart-month RightBorder">May</th>
              <th colspan="2" class="chart-month RightBorder">Jun</th>
              <th colspan="2" class="chart-month RightBorder">Jul</th>
              <th colspan="2" class="chart-month RightBorder">Aug</th>
              <th colspan="2" class="chart-month RightBorder">Sep</th>
              <th colspan="2" class="chart-month RightBorder">Oct</th>
              <th colspan="2" class="chart-month RightBorder">Nov</th>
              <th colspan="2" class="chart-month">Dec</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let cell of housingData.pactHousingChart">
              <td class="chart-year BottomBorder">{{ cell.chartYear }} </td>
              <td class="progress-bar-{{ cell.chartJanFull }} BottomBorderCell"
                (click)="onChartSelect(cell.chartJan +'-'+ cell.chartYear +'-01-0')"
                matTooltip="{{ cell.chartJanEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartJanFull }} RightBorder BottomBorderCell"
                (click)="onChartSelect(cell.chartJanFull +'-'+ cell.chartYear +'-01-1')"
                matTooltip="{{ cell.chartJanFullEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartFeb }} BottomBorderCell"
                (click)="onChartSelect(cell.chartFeb +'-'+ cell.chartYear +'-02-0')"
                matTooltip="{{ cell.chartFebEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartFebFull }} RightBorder BottomBorderCell"
                (click)="onChartSelect(cell.chartFebFull +'-'+ cell.chartYear +'-02-1')"
                matTooltip="{{ cell.chartFebFullEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartMar }} BottomBorderCell"
                (click)="onChartSelect(cell.chartMar +'-'+ cell.chartYear +'-03-0')"
                matTooltip="{{ cell.chartMarEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartMarFull }} RightBorder BottomBorderCell"
                (click)="onChartSelect(cell.chartMarFull +'-'+ cell.chartYear +'-03-1')"
                matTooltip="{{ cell.chartMarFullEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartApr }} BottomBorderCell"
                (click)="onChartSelect(cell.chartApr +'-'+ cell.chartYear +'-04-0')"
                matTooltip="{{ cell.chartAprEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartAprFull }} RightBorder BottomBorderCell"
                (click)="onChartSelect(cell.chartAprFull +'-'+ cell.chartYear +'-04-1')"
                matTooltip="{{ cell.chartAprFullEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartMay }} BottomBorderCell"
                (click)="onChartSelect(cell.chartMay +'-'+ cell.chartYear +'-05-0')"
                matTooltip="{{ cell.chartMayEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartMayFull }} RightBorder BottomBorderCell"
                (click)="onChartSelect(cell.chartMayFull +'-'+ cell.chartYear +'-05-1')"
                matTooltip="{{ cell.chartMayFullEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartJun }} BottomBorderCell"
                (click)="onChartSelect(cell.chartJun +'-'+ cell.chartYear +'-06-0')"
                matTooltip="{{ cell.chartJunEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartJunFull }} RightBorder BottomBorderCell"
                (click)="onChartSelect(cell.chartJunFull +'-'+ cell.chartYear +'-06-1')"
                matTooltip="{{ cell.chartJunFullEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartJul }} BottomBorderCell"
                (click)="onChartSelect(cell.chartJul +'-'+ cell.chartYear +'-07-0')"
                matTooltip="{{ cell.chartJulEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartJulFull }} RightBorder BottomBorderCell"
                (click)="onChartSelect(cell.chartJulFull +'-'+ cell.chartYear +'-07-1')"
                matTooltip="{{ cell.chartJulFullEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartAug }} BottomBorderCell"
                (click)="onChartSelect(cell.chartAug +'-'+ cell.chartYear +'-08-0')"
                matTooltip="{{ cell.chartAugEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartAugFull }} RightBorder BottomBorderCell"
                (click)="onChartSelect(cell.chartAugFull +'-'+ cell.chartYear +'-08-1')"
                matTooltip="{{ cell.chartAugFullEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartSep }} BottomBorderCell"
                (click)="onChartSelect(cell.chartSep +'-'+ cell.chartYear +'-09-0')"
                matTooltip="{{ cell.chartSepEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartSepFull }} RightBorder BottomBorderCell"
                (click)="onChartSelect(cell.chartSepFull +'-'+ cell.chartYear +'-09-1')"
                matTooltip="{{ cell.chartSepFullEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartOct }} BottomBorderCell"
                (click)="onChartSelect(cell.chartOct +'-'+ cell.chartYear +'-10-0')"
                matTooltip="{{ cell.chartOctEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartOctFull }} RightBorder BottomBorderCell"
                (click)="onChartSelect(cell.chartOctFull +'-'+ cell.chartYear +'-10-1')"
                matTooltip="{{ cell.chartOctFullEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartNov }} BottomBorderCell"
                (click)="onChartSelect(cell.chartNov +'-'+ cell.chartYear +'-11-0')"
                matTooltip="{{ cell.chartNovEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartNovFull }} RightBorder BottomBorderCell"
                (click)="onChartSelect(cell.chartNovFull +'-'+ cell.chartYear +'-11-1')"
                matTooltip="{{ cell.chartNovFullEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartDec }} BottomBorderCell"
                (click)="onChartSelect(cell.chartDec +'-'+ cell.chartYear +'-12-0')"
                matTooltip="{{ cell.chartDecEpisode }}" matTooltipClass="homeless-tooltip"></td>
              <td class="progress-bar-{{ cell.chartDecFull }} BottomBorderCell"
                (click)="onChartSelect(cell.chartDecFull +'-'+ cell.chartYear +'-12-1')"
                matTooltip="{{ cell.chartDecFullEpisode }}" matTooltipClass="homeless-tooltip"></td>
            </tr>
          </tbody>

        </table>
        <br />
        <table id="tblChartLegend" class="chart-table-legend">
          <tr>
            <td class="progress-bar-shelter legend-width"></td>
            <td style="text-align: left;">&nbsp;Shelter&nbsp;</td>
            <td class="progress-bar-supHousing legend-width"></td>
            <td style="text-align: left;">&nbsp;2010e&nbsp;</td>
            <td class="progress-bar-user legend-width"></td>
            <td style="text-align: left;">&nbsp;User Entered&nbsp;</td>
            <td class="progress-bar-missing legend-width"></td>
            <td style="text-align: left;">&nbsp;Missing Information&nbsp;</td>
          </tr>
        </table>
      </mat-card-content>
    </mat-card>

    <mat-card *ngIf="parentPageID === 1" [class.mat-elevation-z0]="true" class="housing-form">
      <mat-card-content>

        <div class="content-main regular-mat-form-field">
          <form [formGroup]="housingForm" (ngSubmit)="onSubmit()">

            <div class="content-sub">

              <label class="content-sub-label required-label-color" for="fromDateCtrl"> From Date:
              </label>
              <mat-form-field class="content-sub-field" appearance="outline" style="width:25%">
                <input matInput [matDatepicker]="fromDatePicker" id="fromDateCtrl" formControlName="fromDateCtrl"
                  dateOnly maxlength="10" placeholder="MM/DD/YYYY" (click)="fromDatePicker.open()">
                <mat-icon matSuffix (click)="fromDatePicker.open()" style="cursor:pointer; color:#777;">
                  today
                </mat-icon>
                <mat-datepicker #fromDatePicker></mat-datepicker>
              </mat-form-field>

              <label class="content-sub-multiline-label required-label-color" for="toDateCtrl">
                To Date: </label>
              <mat-form-field class="content-sub-field" appearance="outline" style="width:25%">
                <input matInput [matDatepicker]="toDatePicker" id="toDateCtrl" (blur)="onToDateChange()" dateOnly
                  maxlength="10" (focus)="onToDateFocus()" formControlName="toDateCtrl" placeholder="MM/DD/YYYY"
                  (click)="toDatePicker.open()">
                <mat-icon matSuffix (click)="toDatePicker.open()" style="cursor:pointer; color:#777;">
                  today
                </mat-icon>
                <mat-datepicker #toDatePicker></mat-datepicker>
              </mat-form-field>

             <!--  <div>
                 <app-tutorial pageName="housing-homeless"></app-tutorial> 
                 <mat-icon class="help-icon" (click)="openTrainingVideo()" matTooltip="Tutorial Help">
                  ondemand_video</mat-icon> 
              </div> -->

            </div>
            <div class="content-sub">
              <label class="content-sub-label required-label-color" for="housingTypeCtrl"> Housing Type:
              </label>
              <mat-form-field class="content-sub-field" appearance="outline">
                <mat-select id="housingTypeCtrl" formControlName="housingTypeCtrl"
                  (selectionChange)="onHousingTypeChange()">
                  <mat-option [value]="0">Select One</mat-option>
                  <mat-option *ngFor="let housingType of housingType" [value]="housingType.refGroupDetailID">
                    {{housingType.refGroupDetailDescription}}
                  </mat-option>
                </mat-select>
              </mat-form-field>
            </div>

            <div class="content-sub" *ngIf="housingTypeHomelessStay">
              <label class="content-sub-label-radio required-label-color" for="homelessStayDocCtrl">
                Homeless Stay Documented? </label>
              <mat-radio-group id="homelessStayDocCtrl" formControlName="homelessStayDocCtrl" class="content-sub-field"
                aria-label="Choose an Option">
                <mat-radio-button *ngFor="let responseType of responseType" [value]="responseType.refGroupDetailID">
                  {{responseType.refGroupDetailDescription}}
                </mat-radio-button>
              </mat-radio-group>
            </div>

            <div class="content-sub" *ngIf="housingTypeHomelessStay">
              <label class="content-sub-label-comment required-label-color"> By checking "Yes" you are
                attesting that your agency has on record documentation to substantiate the applicant's
                stay in the housing type indicated. Please attach information attesting to this stay on
                the Housing Documents tab. </label>
            </div>

            <div class="content-sub" *ngIf="housingTypeHomelessStay">
              <label>
                &nbsp; </label>
            </div>

            <div class="content-sub" *ngIf="housingTypeNursingHome">
              <label class="content-sub-label-radio required-label-color" for="nursingHomeCtrl"> Is the
                applicant a Nursing Home Remedy Member? </label>
              <mat-radio-group id="nursingHomeCtrl" formControlName="nursingHomeCtrl" class="content-sub-field"
                aria-label="Choose an Option">
                <mat-radio-button *ngFor="let responseType of responseType" [value]="responseType.refGroupDetailID">
                  {{responseType.refGroupDetailDescription}}
                </mat-radio-button>
              </mat-radio-group>
            </div>

            <div class="content-sub" *ngIf="housingTypeCanReturn">
              <label class="content-sub-label-radio required-label-color" for="canReturnCtrl"> Upon
                discharge can applicant return to his/her prior residence? </label>
              <mat-radio-group id="canReturnCtrl" formControlName="canReturnCtrl" (change)="onCanReturnChange()"
                class="content-sub-field" aria-label="Choose an Option">
                <mat-radio-button *ngFor="let responseType of responseType" [value]="responseType.refGroupDetailID">
                  {{responseType.refGroupDetailDescription}}
                </mat-radio-button>
              </mat-radio-group>
            </div>


            <div class="content-sub" *ngIf="canReturn">
              <label class="content-sub-label required-label-color" for="canReturnExplainCtrl"> Explain:
              </label>
              <mat-form-field appearance="outline" class="content-sub-field">
                <textarea rows='3' matInput #canReturnExplainCtrl id="canReturnExplainCtrl"
                  formControlName="canReturnExplainCtrl" required maxlength="255"></textarea>
                <mat-hint style="margin-top: 10px;">(Maximum entry of 255 characters;
                  {{255 - canReturnExplainCtrl.value?.length || 0}} characters remaining)</mat-hint>
              </mat-form-field>
            </div>

            <div class="content-sub" *ngIf="housingTypeDoesRequire">
              <label class="content-sub-label-radio required-label-color" for="doesRequireCtrl"> Does
                applicant require supportive services/housing to prevent him/her from becoming homeless?
              </label>
              <mat-radio-group id="doesRequireCtrl" formControlName="doesRequireCtrl" (change)="onDoesRequireChange()"
                class="content-sub-field" aria-label="Choose an Option">
                <mat-radio-button *ngFor="let responseType of responseType" [value]="responseType.refGroupDetailID">
                  {{responseType.refGroupDetailDescription}}
                </mat-radio-button>
              </mat-radio-group>
            </div>

            <div class="content-sub" *ngIf="doesRequire">
              <label class="content-sub-label required-label-color" for="doesRequireExplainCtrl">
                Explain:
              </label>
              <mat-form-field appearance="outline" class="content-sub-field">
                <textarea rows='3' matInput #doesRequireExplainCtrl id="doesRequireExplainCtrl"
                  formControlName="doesRequireExplainCtrl" required maxlength="255"></textarea>
                <mat-hint style="margin-top: 10px;">(Maximum entry of 255 characters;
                  {{255 - doesRequireExplainCtrl.value?.length || 0}} characters remaining)</mat-hint>
              </mat-form-field>
            </div>

            <div class="content-sub" *ngIf="doesRequire">
              <label>
                &nbsp; </label>
            </div>

            <div class="content-sub">
              <label class="content-sub-label required-label-color" for="facilityNameCtrl"> Facility
                Name: </label>
              <mat-form-field class="content-sub-field" appearance="outline">
                <input matInput id="facilityNameCtrl" formControlName="facilityNameCtrl" maxlength="40"
                  style="text-transform: uppercase">
              </mat-form-field>
            </div>

            <div class="content-sub">
              <label class="content-sub-label required-label-color" for="streetCtrl"> Street Address:
              </label>
              <mat-form-field style="width:30%" class="content-sub-field" appearance="outline">
                <input matInput id="streetCtrl" formControlName="streetCtrl" maxlength="30"
                  style="text-transform: uppercase">
              </mat-form-field>

              <label class="content-sub-multiline-label required-label-color" for="cityCtrl"> City: </label>
              <mat-form-field style="width:20%" class="content-sub-field" appearance="outline">
                <input matInput id="cityCtrl" formControlName="cityCtrl" maxlength="15"
                  style="text-transform: uppercase">
              </mat-form-field>

              <label class="content-sub-multiline-label required-label-color" for="stateCtrl"> State: </label>
              <mat-form-field style="width:7%" class="content-sub-field" appearance="outline">
                <input matInput id="stateCtrl" formControlName="stateCtrl" maxlength="2"
                  style="text-transform: uppercase">
              </mat-form-field>

              <mat-icon class="content-sub-actions green-color" matTooltip="Add Housing Episode" (click)="onSubmit()">
                add_circle</mat-icon>

            </div>

          </form>
        </div>
      </mat-card-content>
    </mat-card>
    <div *ngIf="parentPageID === 3">
      <br>
    </div>
    <mat-expansion-panel [expanded]="panelExpanded" (opened)="panelExpanded = true; togglePanel()"
      (closed)="panelExpanded = false; togglePanel()">
      <mat-expansion-panel-header>
        <mat-panel-title>
          <mat-icon class="homeless-history-icon">{{panelExpanded  ? 'indeterminate_check_box' : 'add_box' }}</mat-icon>
          <span>Housing Episodes</span>
        </mat-panel-title>
      </mat-expansion-panel-header>
      <section>
        <mat-card [class.mat-elevation-z0]="true" class="housing-episode">
          <mat-card-content>

            <div class="content-main regular-mat-form-field">

              <div class="content-sub"
                *ngIf="housingData.pactHousingEpisode != null && housingData.pactHousingEpisode[0]?.canReturnToPriorResidence">
                <label> Upon
                  discharge can applicant return to his/her prior residence? </label>
                <span style="margin-left: 10px;"></span>
                <label>
                  {{ housingData.pactHousingEpisode[0]?.canReturnToPriorResidence }} </label>
                <mat-icon *ngIf="housingData.pactHousingEpisode[0]?.canReturnToPriorResidenceComment"
                  class="explain-icon"
                  matTooltip='{{ housingData.pactHousingEpisode[0]?.canReturnToPriorResidenceComment }} '>
                  info</mat-icon>
              </div>

              <div class="content-sub"
                *ngIf="housingData.pactHousingEpisode != null && housingData.pactHousingEpisode[0]?.doesRequireSupportiveHousing">
                <label> Does
                  applicant require supportive services/housing to prevent him/her from becoming
                  homeless? </label>
                <span style="margin-left: 10px;"></span>
                <label>
                  {{ housingData.pactHousingEpisode[0]?.doesRequireSupportiveHousing }} </label>
                <mat-icon *ngIf="housingData.pactHousingEpisode[0]?.doesRequireSupportiveHousingComment"
                  class="explain-icon"
                  matTooltip='{{ housingData.pactHousingEpisode[0]?.doesRequireSupportiveHousingComment }}'>
                  info</mat-icon>
              </div>

              <div style="margin-top: 8px;" class="content-sub">
                <ag-grid-angular #agGrid id="housingGrid" style="width: 100%;"
                  class="ag-theme-balham homeless-history-episodes-grid" [columnDefs]="columnDefs"
                  [defaultColDef]="defaultColDef" [rowData]="rowData" [rowSelection]="rowSelection"
                  [singleClickEdit]="true" [floatingFilter]="false" [animateRows]="true" [gridOptions]="gridOptions"
                  [pagination]="pagination" [paginationPageSize]="10" [context]="context"
                  [frameworkComponents]="frameworkComponents" [overlayNoRowsTemplate]="overlayNoRowsTemplate"
                  (gridReady)="onGridReady($event)">
                </ag-grid-angular>
              </div>

            </div>

          </mat-card-content>
        </mat-card>
      </section>
    </mat-expansion-panel>

  </mat-card-content>
</mat-card>